CUDNN Frontend API 8.3.0

Static Public Member Functions | List of all members
nlohmann::detail::wide_string_input_helper< BaseInputAdapter, 4 > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::wide_string_input_helper< BaseInputAdapter, 4 >:

## Static Public Member Functions
static void | fill_buffer (BaseInputAdapter &input, std::array< std::char_traits< char >::int_type, 4 > &utf8_bytes, size_t &utf8_bytes_index, size_t &utf8_bytes_filled)

## Detailed Description

### template<typename BaseInputAdapter>
struct nlohmann::detail::wide_string_input_helper< BaseInputAdapter, 4 >

Definition at line 5390 of file json.hpp.

## Member Function Documentation

## ◆ fill_buffer()

template<typename BaseInputAdapter >

static void nlohmann::detail::wide_string_input_helper< BaseInputAdapter, 4 >::fill_buffer | ( | BaseInputAdapter & | input,
|  | std::array< std::char_traits< char >::int_type, 4 > & | utf8_bytes,
|  | size_t & | utf8_bytes_index,
|  | size_t & | utf8_bytes_filled
| ) |  |
| inline static

Definition at line 5393 of file json.hpp.

References JSON_HEDLEY_UNLIKELY.

The documentation for this struct was generated from the following file:

- json.hpp